Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.renderkit
Class AjaxContainerRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.AjaxComponentRendererBase
                  org.ajax4jsf.renderkit.AjaxChildrenRenderer
                      org.ajax4jsf.renderkit.AjaxContainerRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.AjaxRenderer

Direct Known Subclasses:
  AjaxViewRootRenderer

    public class AjaxContainerRenderer

extends AjaxChildrenRenderer

Base renderer for all AJAX - subview components.

Version:
  $Revision: 1.1.2.3 $ $Date: 2007/02/08 15:02:02 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.lang.String` | `AJAX_FLAG_HEADER`
`static java.lang.String` | `AJAX_JSF_SCRIPT`
`static java.lang.String` | `AJAX_LOCATION_HEADER`
`static java.lang.String` | `AJAX_PARAMETER_NAME`
`static java.lang.String` | `AJAX_RESULT_GROUP_ATTR`
`static java.lang.String` | `AJAX_RESULT_GROUP_TAG`
`static java.lang.String` | `AJAX_RESULT_STYLE`
`static java.lang.String` | `AJAX_UPDATE_HEADER`
`static java.lang.String` | `AJAX_VIEW_STATE_ID`
`static java.lang.String` | `AJAX_VIEW_STATE_TAG`
`static java.lang.String` | `JSDOM_SCRIPT`
`static java.lang.String` | `SARISSA_SCRIPT`

Fields inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer
`SPECIAL_COMPONENTS_TYPES`

Constructor Summary
`AjaxContainerRenderer()`

Method Summary
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`void` | `encodeAjax(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class` | `getComponentClass()` Get base component slass , targetted for this renderer.
`boolean` | `getRendersChildren()`
`boolean` | `isParentRendered(javax.faces.component.UIComponent target)`

Methods inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer
`encodeAjaxChildren, encodeAjaxComponent`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AJAX_FLAG_HEADER

    public static final java.lang.String AJAX_FLAG_HEADER

See Also:
  Constant Field Values

### AJAX_JSF_SCRIPT

    public static final java.lang.String AJAX_JSF_SCRIPT

See Also:
  Constant Field Values

### AJAX_LOCATION_HEADER

    public static final java.lang.String AJAX_LOCATION_HEADER

See Also:
  Constant Field Values

### AJAX_PARAMETER_NAME

    public static final java.lang.String AJAX_PARAMETER_NAME

See Also:
  Constant Field Values

### AJAX_RESULT_GROUP_ATTR

    public static final java.lang.String AJAX_RESULT_GROUP_ATTR

See Also:
  Constant Field Values

### AJAX_RESULT_GROUP_TAG

    public static final java.lang.String AJAX_RESULT_GROUP_TAG

See Also:
  Constant Field Values

### AJAX_RESULT_STYLE

    public static final java.lang.String AJAX_RESULT_STYLE

See Also:
  Constant Field Values

### AJAX_UPDATE_HEADER

    public static final java.lang.String AJAX_UPDATE_HEADER

See Also:
  Constant Field Values

### AJAX_VIEW_STATE_ID

    public static final java.lang.String AJAX_VIEW_STATE_ID

See Also:
  Constant Field Values

### AJAX_VIEW_STATE_TAG

    public static final java.lang.String AJAX_VIEW_STATE_TAG

See Also:
  Constant Field Values

### JSDOM_SCRIPT

    public static final java.lang.String JSDOM_SCRIPT

See Also:
  Constant Field Values

### SARISSA_SCRIPT

    public static final java.lang.String SARISSA_SCRIPT

See Also:
  Constant Field Values

Constructor Detail

### AjaxContainerRenderer

    public AjaxContainerRenderer()

Method Detail

### getComponentClass

    protected java.lang.Class getComponentClass()

  Description copied from class: `RendererBase`
  Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.

  Overrides:
    `getComponentClass` in class `RendererBase`
  Returns:

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `RendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `Since main function of component - render subset of components, for update on page,don't delegate this for renderer.`

### encodeAjax

    public void encodeAjax(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                    throws java.io.IOException

  Parameters:
    `context` -
    `component` -
  Throws:
    `java.io.IOException`

### isParentRendered

    public boolean isParentRendered(javax.faces.component.UIComponent target)

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `RendererBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.